## kalzium 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6.2")
set(KF_MIN_VERSION "6.7.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${kalzium_SOURCE_DIR}/cmake/modules)

set(KDE_COMPILERSETTINGS_LEVEL "5.82")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(CheckIncludeFiles)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})


find_package(Gettext REQUIRED)
find_package(PkgConfig)
find_package(OpenBabel3 3.1)
if(NOT ${OpenBabel3_FOUND})
    find_package(OpenBabel2)
endif()
find_package(AvogadroLibs)
find_package(Eigen3 CONFIG)
find_package(OCaml)
find_package(Libfacile)

pkg_check_modules(CHEMICAL_MIME_DATA chemical-mime-data)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# create configuration file
set(HAVE_FACILE ${LIBFACILE_FOUND})
set(HAVE_OPENBABEL3 ${OpenBabel3_FOUND})
set(HAVE_OPENBABEL2 ${OPENBABEL2_FOUND})
if(HAVE_OPENBABEL2 OR HAVE_OPENBABEL3)
    set(HAVE_OPENBABEL 1)
endif()
set(HAVE_EIGEN ${EIGEN3_FOUND})
set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})

if(HAVE_OPENBABEL3)
    set(OPENBABEL_INCLUDE_DIR ${OpenBabel3_INCLUDE_DIRS})
    set(OPENBABEL_LIBRARIES ${OpenBabel3_LIBRARIES})
elseif(HAVE_OPENBABEL2)
    set(OPENBABEL_INCLUDE_DIR ${OPENBABEL2_INCLUDE_DIR})
    set(OPENBABEL_LIBRARIES ${OPENBABEL2_LIBRARIES})
endif()

configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.in
   ${CMAKE_CURRENT_BINARY_DIR}/config-kalzium.h
)

include_directories(${AvogadroLibs_INCLUDE_DIRS})

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Svg
    Widgets
    Xml
    Core5Compat
    StateMachine
    Qml
    OpenGLWidgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    ItemViews
    KIO
    Plotting
    UnitConversion
    WidgetsAddons
    TextWidgets
    XmlGui
    Crash
)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX KALZIUMLIB
)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)
if(MSVC)
    # for correctly linking openbabel:
    # see https://www.mail-archive.com/openbabel-devel@lists.sourceforge.net/msg01975.html
    add_definitions(-DUSING_DYNAMIC_LIBS)
endif()

ecm_set_disabled_deprecation_versions(QT 5.14.0
    KF 6.13
)


if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
  find_package(Qt6OpenGL ${QT_MIN_VERSION} REQUIRED)
  find_package(KF6NewStuff ${KF_MIN_VERSION} REQUIRED)
  # avoid compilerwarnings about redefinitions
  # todo: use check_function_exits() ?
  message(STATUS "Kalzium molecular editor enabled")
  if (WIN32)
    add_definitions(-DHAVE_SNPRINTF -DHAVE_STRCASECMP -DHAVE_STRNCASECMP)
  endif ()
  add_subdirectory(compoundviewer)
else ()
  message(STATUS "Kalzium molecular editor disabled")
endif ()

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(libscience)

ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
install(FILES org.kde.kalzium.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
        EXPORT KALZIUM
        FILE kalzium.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== compoundviewer/CMakeLists.txt ===
add_library(compoundviewer)

set_target_properties(compoundviewer PROPERTIES
    VERSION ${KALZIUMLIB_VERSION}
    SOVERSION ${KALZIUMLIB_SOVERSION}
    CXX_STANDARD 17
    CXX_STANDARD_REQUIRED ON
)

generate_export_header(compoundviewer)

target_sources(compoundviewer PRIVATE
    iowrapper.cpp
    kalziumglwidget.cpp
    iowrapper.h
    kalziumglwidget.h
)

target_link_libraries(compoundviewer
    KF6::I18n
    KF6::WidgetsAddons
    KF6::CoreAddons
    Qt::OpenGL
    Qt::Gui
    Qt::Widgets
    Qt::OpenGLWidgets
    ${OPENBABEL_LIBRARIES}
    Avogadro::Core
    Avogadro::IO
    Avogadro::QtGui
    Avogadro::QtOpenGL
    Avogadro::QtPlugins
    Eigen3::Eigen
)

target_include_directories(compoundviewer PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${OPENBABEL_INCLUDE_DIR}
    ${AvogadroLibs_INCLUDE_DIRS}
)

install(TARGETS compoundviewer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

#add_subdirectory(widgets)

=== data/CMakeLists.txt ===
add_subdirectory(hazardsymbols)
add_subdirectory(htmlview)
add_subdirectory(icons)
add_subdirectory(iconsets)
add_subdirectory(toolpics)
add_subdirectory(latticeicons)
add_subdirectory(maps)
add_subdirectory(molecules)

########### install files ###############

install( FILES bg.jpg knowledge.xml tools.xml  DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data )

=== libscience/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(tests)

add_library(science SHARED)

set_target_properties(science PROPERTIES
   VERSION ${KALZIUMLIB_VERSION}
   SOVERSION ${KALZIUMLIB_SOVERSION}
)

generate_export_header(science)

ecm_qt_declare_logging_category(science
   HEADER kalzium_libscience_debug.h
   IDENTIFIER KALZIUM_LIBSCIENCE_LOG
   CATEGORY_NAME org.kde.kalzium.libscience
   DESCRIPTION "Kalzium (libscience)"
   EXPORT KALZIUM
)

target_sources(science PRIVATE
   element.cpp
   spectrum.cpp
   isotope.cpp
   spectrumparser.cpp
   elementparser.cpp
   isotopeparser.cpp
   chemicaldataobject.cpp
   moleculeparser.cpp
   parser.cpp
   psetables.cpp
   element.h
   spectrum.h
   isotope.h
   spectrumparser.h
   elementparser.h
   isotopeparser.h
   chemicaldataobject.h
   moleculeparser.h
   parser.h
   psetables.h
)

target_link_libraries(science
   PUBLIC
      KF6::UnitConversion
      KF6::WidgetsAddons
      KF6::I18n
      Qt::Xml
      Qt::Core5Compat
)

install(TARGETS science  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   chemicaldataobject.h
   element.h
   elementparser.h
   isotope.h
   isotopeparser.h
   ${CMAKE_CURRENT_BINARY_DIR}/science_export.h
   moleculeparser.h
   parser.h
   spectrum.h
   spectrumparser.h
   psetables.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkdeedu  COMPONENT Devel
)

=== data/hazardsymbols/CMakeLists.txt ===

install( FILES hazard_C.png hazard_E.png hazard_F.png hazard_N.png hazard_O.png hazard_T.png hazard_X.png  DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data/hazardsymbols )

=== data/icons/CMakeLists.txt ===

ecm_install_icons(ICONS
    16-actions-calculate.png
    16-actions-chemical.png
    16-actions-elempic.png
    16-actions-energies.png
    16-actions-eqchem.png
    16-actions-glossary.png
    16-actions-isotopemap.png
    16-actions-kalzium_molviewer.png
    16-actions-kalzium_rs.png
    16-actions-kalzium_tables.png
    16-actions-legend.png
    16-actions-misc.png
    16-actions-numbers.png
    16-actions-orbits.png
    16-actions-overview.png
    16-actions-plot.png
    16-actions-sidebar.png
    16-actions-spectrum.png
    16-actions-statematter.png
    16-actions-timeline.png
    16-actions-tooltip.png
    22-actions-calculate.png
    22-actions-chemical.png
    22-actions-elempic.png
    22-actions-energies.png
    22-actions-eqchem.png
    22-actions-glossary.png
    22-actions-isotopemap.png
    22-actions-kalzium_molviewer.png
    22-actions-kalzium_rs.png
    22-actions-kalzium_tables.png
    22-actions-legend.png
    22-actions-numbers.png
    22-actions-orbits.png
    22-actions-overview.png
    22-actions-plot.png
    22-actions-sidebar.png
    22-actions-spectrum.png
    22-actions-statematter.png
    22-actions-timeline.png
    22-actions-tooltip.png
    32-actions-calculate.png
    32-actions-chemical.png
    32-actions-elempic.png
    32-actions-energies.png
    32-actions-eqchem.png
    32-actions-glossary.png
    32-actions-isotopemap.png
    32-actions-kalzium_molviewer.png
    32-actions-kalzium_rs.png
    32-actions-kalzium_tables.png
    32-actions-legend.png
    32-actions-misc.png
    32-actions-numbers.png
    32-actions-orbits.png
    32-actions-overview.png
    32-actions-plot.png
    32-actions-sidebar.png
    32-actions-spectrum.png
    32-actions-statematter.png
    32-actions-timeline.png
    32-actions-tooltip.png
    48-actions-calculate.png
    48-actions-chemical.png
    48-actions-energies.png
    48-actions-eqchem.png
    48-actions-glossary.png
    48-actions-isotopemap.png
    48-actions-kalzium_molviewer.png
    48-actions-kalzium_rs.png
    48-actions-kalzium_tables.png
    48-actions-legend.png
    48-actions-misc.png
    48-actions-numbers.png
    48-actions-orbits.png
    48-actions-overview.png
    48-actions-plot.png
    48-actions-sidebar.png
    48-actions-spectrum.png
    48-actions-statematter.png
    48-actions-timeline.png
    48-actions-tooltip.png
    64-actions-kalzium_molviewer.png
    64-actions-kalzium_rs.png
    64-actions-kalzium_tables.png
    64-actions-numbers.png
    sc-actions-calculate.svgz
    sc-actions-chemical.svgz
    sc-actions-elempic.svgz
    sc-actions-energies.svgz
    sc-actions-eqchem.svgz
    sc-actions-glossary.svgz
    sc-actions-isotopemap.svgz
    sc-actions-kalzium_molviewer.svgz
    sc-actions-kalzium_rs.svgz
    sc-actions-kalzium_tables.svgz
    sc-actions-misc.svgz
    sc-actions-numbers.svgz
    sc-actions-orbits.svgz
    sc-actions-overview.svgz
    sc-actions-plot.svgz
    sc-actions-sidebar.svgz
    sc-actions-spectrum.svgz
    sc-actions-statematter.svgz
    sc-actions-timeline.svgz
    sc-actions-tooltip.svgz
    DESTINATION ${KDE_INSTALL_DATADIR}/kalzium/icons THEME hicolor)

=== data/iconsets/CMakeLists.txt ===
add_subdirectory(school)

=== data/molecules/CMakeLists.txt ===
file(GLOB CML_EXAMPLE_FILES "*.cml")

install( FILES 
   ${CML_EXAMPLE_FILES}
	DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data/molecules )

=== libscience/data/CMakeLists.txt ===

install(FILES
   elements.xml
   isotopes.xml
   symbols.csv
   symbols2.csv
   spectra.xml
   DESTINATION ${KDE_INSTALL_DATADIR}/libkdeedu/data/
)

=== src/solver/Makefile ===

OCAMLC = ocamlc -g
OCAMLMLI = ocamlc
OCAMLOPT = ocamlopt
OCAMLDEP = ocamldep
INCLUDES = -I +facile
OPTOPT = 
OCAMLLIB := $(shell echo `ocamlc -where`)
FACILELIB = $(OCAMLLIB)/facile


# link to these libraries
LIBADD_CMX = $(OCAMLLIB)/facile/facile.cmxa #$(OCAMLLIB)/str.cmxa
LIBADD_CMO = $(OCAMLLIB)/facile/facile.cma #$(OCAMLLIB)/str.cma

# our sources
SOURCES_CHEM = chemset.ml parser.ml lexer.ml datastruct.ml chem.ml  calc.ml
SOURCES_WRAP = modwrap.c

# the targets
CHEM_CMO = $(SOURCES_CHEM:.ml=.cmo)
CHEM_CMX = $(SOURCES_CHEM:.ml=.cmx)
CHEM_O = $(SOURCES_WRAP:.c=.o)

# default target : the object files for eqchem
all : solver.o

# shows how to build a program that embeds the solver
# in compiled ocaml, bytecode ocaml and compiled program using compiled caml code
test: atestprog.opt btestprog.out testcprog

atestprog.opt: $(CHEM_CMX) main.cmx
	$(OCAMLOPT) -o $@ $(LIBADD_CMX) $(CHEM_CMX) main.cmx

btestprog.out: $(CHEM_CMO) main.cmo
	$(OCAMLMLI) -o $@ $(LIBADD_CMO) $(CHEM_CMO) main.cmo

solver.o: $(CHEM_CMX) $(CHEM_O)
	$(OCAMLOPT) -output-obj -o solver.o $(LIBADD_CMX) $(CHEM_CMX)
	cp -f solver.o modwrap.o ../

testcprog: $(CHEM_CMX) $(CHEM_O)
	$(OCAMLOPT) -output-obj -o solver.o $(LIBADD_CMX) $(CHEM_CMX) modwrap.o
	gcc -c -o main.o main.c -L $(OCAMLLIB)
	gcc -o $@ main.o solver.o -L $(OCAMLLIB) \
          -L $(OCAMLLIB)/facile -lasmrun -lstr -lnums -lm -ldl modwrap.o

.SUFFIXES:
.SUFFIXES: .ml .mli .mly .mll .cmi .cmo .cmx .p.cmx .c

.ml.cmo :
	$(OCAMLC) $(INCLUDES) $(INCLUDES) -c $<

.mli.cmi :
	$(OCAMLMLI) $(INCLUDES) -c $<

.ml.cmx :
	$(OCAMLOPT) $(OPTOPT) $(INCLUDES) -c $<

.mly.ml :
	ocamlyacc $<

.mll.ml :
	ocamllex $<

%.o : %.c
	$(OCAMLOPT) $(OPTOPT) $(INCLUDES) -c $<

clean:
	\rm -f *.cm[iox] *.o *~ .depend *testprog.* testcprog

cleanall : clean
	\rm -f *.cmxa *.a *.cma

distclean : clean

interfaces:
	ocamlc -i datastruct.ml > datastruct.mli
	ocamlc -I +facile -i chem.ml > chem.mli
	ocamlc -I +facile -i calc.ml > calc.mli

maintainer-clean : clean

uninstall : clean

install : 
	echo "done"

.depend: parser.ml lexer.ml
	$(OCAMLDEP) $(INCLUDES) *.mli *.ml > $@

include .depend

=== debian/changelog ===
kalzium (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.24
    - bump Qt packages to 6.6.2
    - bump KF packages to 6.7.0
    - explicitly add qt6-declarative-dev
  * Update the patches:
    - no_install_rpath_use_link_path.diff: refresh
  * Stop passing -DQT_MAJOR_VERSION=6 to cmake, as kalzium is Qt 6 only since
    version 25.08.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Remove an obsolete maintscript entry.
  * Add libavogadro-dev back as build dependency to enable the molecular editor,
    as since version 1.100.0-1 avogadro-libs is built as Qt 6
    - update install files accordingly
    - update lintian overrides

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 13:41:30 +0200

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               chemical-mime-data,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.7.0~),
               gettext,
               libavogadro-dev (>= 1.100.0-1~),
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libkf6archive-dev (>= 6.7.0~),
               libkf6config-dev (>= 6.7.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6coreaddons-dev (>= 6.7.0~),
               libkf6crash-dev (>= 6.7.0~),
               libkf6doctools-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.7.0~),
               libkf6itemviews-dev (>= 6.7.0~),
               libkf6kio-dev (>= 6.7.0~),
               libkf6newstuff-dev (>= 6.7.0~),
               libkf6plotting-dev (>= 6.7.0~),
               libkf6textwidgets-dev (>= 6.7.0~),
               libkf6unitconversion-dev (>= 6.7.0~),
               libkf6widgetsaddons-dev (>= 6.7.0~),
               libkf6xmlgui-dev (>= 6.7.0~),
               libopenbabel-dev (>= 3.1.1+dfsg-4),
               libopengl-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.6.2~),
               qt6-base-dev (>= 6.6.2~),
               qt6-declarative-dev (>= 6.6.2~),
               qt6-scxml-dev (>= 6.6.2~),
               qt6-svg-dev (>= 6.6.2~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/kalzium/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: chemical-mime-data, khelpcenter,
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends},
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete

## kalzium 25.08.1+p24.04+vstable+git20250930.0511

=== debian/changelog ===
kalzium (4:25.08.1+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:59 +0000

kalzium (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:35:29 +0000

## kalzium 25.08.1+p24.04+vstable+git20251001.0759

=== debian/changelog ===
kalzium (4:25.08.1+p24.04+vstable+git20251001.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 07:59:53 +0000

## kalzium 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kalzium)
kdoctools_create_manpage(man-kalzium.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== data/latticeicons/CMakeLists.txt ===
file(GLOB SVG_CRYSTAL "*.svgz")

install( FILES 
	${SVG_CRYSTAL}
	DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data/latticeicons
)

=== libscience/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

########### next target ###############

add_executable(elementparsertest xmlreadingtest.cpp)

target_link_libraries(elementparsertest science Qt::Core Qt::Xml)
ecm_mark_nongui_executable(elementparsertest)

########### next target ###############

add_executable(isotopeparsertest isotopereadingtest.cpp)
ecm_mark_nongui_executable(isotopeparsertest)

target_link_libraries(isotopeparsertest science Qt::Core Qt::Xml)

########### next target ###############

add_executable(spectrumtest spectrumreadingtests.cpp)
ecm_mark_nongui_executable(spectrumtest)

target_link_libraries(spectrumtest science Qt::Core Qt::Xml)

=== debian/changelog ===
kalzium (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:57:04 +0100

kalzium (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:52 +0100

kalzium (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:51:08 +0100

kalzium (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:20:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

override_dh_auto_install:
	dh_auto_install
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete

## kalzium 25.08.2+p24.04+vstable+git20251019.0316

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vstable+git20251019.0316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:16:32 +0000

kalzium (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:22:42 +0000

## kalzium 25.08.2+p24.04+vstable+git20251020.0106

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vstable+git20251020.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:06:40 +0000

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: chemical-mime-data,
               cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-knewstuff-dev,
               kf6-kparts-dev,
               kf6-kplotting-dev,
               kf6-kunitconversion-dev,
               kf6-kwidgetsaddons-dev,
               kf6-solid-dev,
               libavogadro-dev,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libopenbabel-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-scxml-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kalzium.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalzium
Maintainer: Neon CI <neon@kde.org>

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: chemical-mime-data, khelpcenter
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

Package: kalzium-dev
Architecture: any
Section: science
Depends: kalzium (>= ${source:Version}),
         kalzium-data (>= ${source:Version}),
         ${misc:Depends}
Description: dev files for Kalzium
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

## kalzium 25.08.2+p24.04+vstable+git20251031.0836

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vstable+git20251031.0836-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:36:19 +0000

## kalzium 25.08.2+p24.04+vunstable+git20251015.1306

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vunstable+git20251015.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:06:48 +0000

## kalzium 25.08.2+p24.04+vunstable+git20251020.1100

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vunstable+git20251020.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:00:38 +0000

## kalzium 25.08.3

=== data/htmlview/CMakeLists.txt ===
file(GLOB HTMLVIEW_ICONS "*.png")

install( FILES
   ${HTMLVIEW_ICONS}
   icons.svg
   DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data/htmlview )

=== debian/changelog ===
kalzium (4:25.08.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:58:49 +0000

kalzium (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:52 +1000

## kalzium 25.08.3+p24.04+vunstable+git20251202.1037

=== debian/changelog ===
kalzium (4:25.08.3+p24.04+vunstable+git20251202.1037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:37:06 +0000

## kalzium 25.08.3+p24.04+vunstable+git20251206.0708

=== debian/changelog ===
kalzium (4:25.08.3+p24.04+vunstable+git20251206.0708-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:08:16 +0000

## kalzium 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})
@@ -58,7 +58,7 @@
 if(HAVE_OPENBABEL2 OR HAVE_OPENBABEL3)
     set(HAVE_OPENBABEL 1)
 endif()
-set(HAVE_EIGEN ${EIGEN3_FOUND})
+set(HAVE_EIGEN ${Eigen3_FOUND})
 set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})
 
 if(HAVE_OPENBABEL3)
@@ -123,7 +123,7 @@
 )
 
 
-if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
+if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND Eigen3_FOUND)
   find_package(Qt6OpenGL ${QT_MIN_VERSION} REQUIRED)
   find_package(KF6NewStuff ${KF_MIN_VERSION} REQUIRED)
   # avoid compilerwarnings about redefinitions

=== src/CMakeLists.txt ===
add_executable(kalzium)

target_include_directories(kalzium PRIVATE
   tools
   calculator
   psetable
   isotopetable
   ${CMAKE_CURRENT_BINARY_DIR}/..
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
   VARIABLE_PREFIX KALZIUM
   VERSION_HEADER kalzium_version.h
)

ecm_qt_declare_logging_category(kalzium
   HEADER kalzium_debug.h
   IDENTIFIER KALZIUM_LOG
   CATEGORY_NAME org.kde.kalzium
   DESCRIPTION "Kalzium"
   EXPORT KALZIUM
)

# The tools can only be built when OpenBabel is found.
# The moleculeviewer needs not only OpenBabel but also Eigen and Avogadro,
# so there is a nested if-check.
if (HAVE_OPENBABEL)
   target_sources(kalzium PRIVATE
      tools/obconverter.cpp
   )

   ki18n_wrap_ui(kalzium
      tools/obconverterwidget.ui
   )
   target_include_directories(kalzium SYSTEM PRIVATE ${OPENBABEL_INCLUDE_DIR})

   if (Eigen3_FOUND AND AvogadroLibs_FOUND)
      #include(${Avogadro_USE_FILE})

      target_sources(kalzium PRIVATE
         tools/moleculeview.cpp
         ../compoundviewer/kalziumglwidget.cpp
      )

      ki18n_wrap_ui(kalzium
         tools/moleculeviewerwidget.ui
      )
   endif ()
endif ()

## Kalzium calculator files
target_sources(kalzium PRIVATE
   calculator/calculator.cpp
   calculator/calculator.h
   calculator/concCalculator.cpp
   calculator/concCalculator.h
   calculator/gasCalculator.cpp
   calculator/gasCalculator.h
   calculator/nuclearCalculator.cpp
   calculator/nuclearCalculator.h
   calculator/titrationCalculator.cpp
   calculator/titrationCalculator.h
#   calculator/massCalculator.cpp
)
ki18n_wrap_ui(kalzium
   calculator/calculator.ui
   calculator/nuclearCalculator.ui
   calculator/gasCalculator.ui
   calculator/concCalculator.ui
   calculator/settings_calc.ui
   calculator/titrationCalculator.ui
#   calculator/massCalculator.ui
)

target_sources(kalzium PRIVATE
   colorutils.cpp
   colorutils.h
   detailedgraphicaloverview.cpp
   detailedgraphicaloverview.h
   detailinfodlg.cpp
   detailinfodlg.h
   elementdataviewer.cpp
   elementdataviewer.h
   exportdialog.cpp
   exportdialog.h
   gradientwidget_impl.cpp
   gradientwidget_impl.h
   isotopetable/informationitem.cpp
   isotopetable/informationitem.h
   isotopetable/isotopeguideview.cpp
   isotopetable/isotopeguideview.h
   isotopetable/isotopeitem.cpp
   isotopetable/isotopeitem.h
   isotopetable/isotopescene.cpp
   isotopetable/isotopescene.h
   isotopetable/isotopetabledialog.cpp
   isotopetable/isotopetabledialog.h
   isotopetable/isotopeview.cpp
   isotopetable/isotopeview.h
   kalzium.cpp
   kalziumdataobject.cpp
   kalziumdataobject.h
   kalziumelementproperty.cpp
   kalziumelementproperty.h
   kalziumgradienttype.cpp
   kalziumgradienttype.h
   kalzium.h
   kalziumnumerationtype.cpp
   kalziumnumerationtype.h
   kalziumschemetype.cpp
   kalziumschemetype.h
   kalziumunitcombobox.cpp
   kalziumunitcombobox.h
   kalziumutils.cpp
   kalziumutils.h
   kdeeduglossary.cpp
   kdeeduglossary.h
   legendwidget.cpp
   legendwidget.h
   main.cpp
   molcalcwidget.cpp
   molcalcwidget.h
   orbitswidget.cpp
   orbitswidget.h
   psetable/elementitem.cpp
   psetable/elementitem.h
   psetable/numerationitem.cpp
   psetable/numerationitem.h
   psetable/periodictablescene.cpp
   psetable/periodictablescene.h
   psetable/periodictablestates.cpp
   psetable/periodictablestates.h
   psetable/periodictableview.cpp
   psetable/periodictableview.h
   psetable/statemachine.cpp
   psetable/statemachine.h
   rsdialog.cpp
   rsdialog.h
   search.cpp
   search.h
   searchwidget.cpp
   searchwidget.h
   spectrumviewimpl.cpp
   spectrumviewimpl.h
   spectrumwidget.cpp
   spectrumwidget.h
   tableinfowidget.cpp
   tableinfowidget.h
   tablesdialog.cpp
   tablesdialog.h
   settings/kalziumconfigdialog.cpp
   settings/kalziumconfigdialog.h
   settings/unitsettingsdialog.cpp
   settings/unitsettingsdialog.h
   settings/isotopetablesettingsdialog.cpp
   settings/isotopetablesettingsdialog.h
   settings/isotopetablesettingscard.cpp
   settings/isotopetablesettingscard.h

   kalzium.qrc
)

if (LIBFACILE_FOUND)
   include(CMakeOCamlInstructions.cmake)

   target_sources(kalzium PRIVATE
      eqchemview.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/solver.o
      ${CMAKE_CURRENT_BINARY_DIR}/modwrap.o
   )
   ki18n_wrap_ui(kalzium
      equationview.ui
   )
endif ()

ki18n_wrap_ui(kalzium
   isotopetable/isotopedialog.ui
   plotsetupwidget.ui
   molcalcwidgetbase.ui
   spectrumview.ui
   rswidget.ui
   gradientwidget.ui
   exportdialog.ui
   settings/settings_colors.ui
   settings/settings_gradients.ui
   )

kconfig_add_kcfg_files(kalzium GENERATE_MOC prefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kalzium.png")
ecm_add_app_icon(kalzium ICONS ${ICONS_SRCS})

target_link_libraries(kalzium
    KF6::ConfigWidgets
    KF6::ItemViews
    KF6::KIOWidgets
    KF6::Plotting
    KF6::TextWidgets
    KF6::UnitConversion
    KF6::XmlGui
    KF6::Crash
    Qt::Svg
    Qt::Qml
    Qt::StateMachine
    science
)

if (HAVE_OPENBABEL)
   target_link_libraries(kalzium ${OPENBABEL_LIBRARIES})
   if (Eigen3_FOUND AND AvogadroLibs_FOUND)
      target_link_libraries(kalzium
         KF6::NewStuffWidgets
         Qt::OpenGL
         compoundviewer
         Avogadro::QtGui
         Avogadro::QtOpenGL
         Avogadro::QtPlugins
         Eigen3::Eigen
       )
      install(FILES kalzium.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
   endif ()
endif ()

if (LIBFACILE_FOUND)
   link_directories(${OCAMLC_DIR})
   set(CMAKE_LIBRARY_PATH ${OCAMLC_DIR})

   find_library(OCAML_ASMRUN_LIBRARY NAMES asmrun)
   if (OCAML_ASMRUN_LIBRARY)
      target_link_libraries(kalzium ${OCAML_ASMRUN_LIBRARY})
   endif ()

   find_library(OCAML_STR_LIBRARY NAMES str)
   if (OCAML_STR_LIBRARY)
      target_link_libraries(kalzium ${OCAML_STR_LIBRARY})
   endif ()

   find_library(OCAML_NUMS_LIBRARY NAMES nums)
   if (OCAML_NUMS_LIBRARY)
      target_link_libraries(kalzium ${OCAML_NUMS_LIBRARY})
   endif ()

   target_link_libraries(kalzium m ${CMAKE_DL_LIBS})
endif ()

install(TARGETS kalzium ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.kalzium.desktop org.kde.kalzium_cml.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES settings/kalzium.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_install_icons(ICONS
    16-apps-kalzium.png
    22-apps-kalzium.png
    32-apps-kalzium.png
    48-apps-kalzium.png
    64-apps-kalzium.png
    128-apps-kalzium.png
    sc-apps-kalzium.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
kalzium (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:49:53 +0000

kalzium (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:11:25 +0000

## kalzium 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalzium (4:25.11.90-0ubuntu2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Dec 2025 10:54:19 +0100

kalzium (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:00:38 +0000

## kalzium 25.12.0

=== debian/changelog ===
kalzium (4:25.12.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:57:38 +0000

kalzium (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:16 +1000

## kalzium 25.12.1

=== debian/changelog ===
kalzium (4:25.12.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:32:35 +0000

kalzium (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:35 +1000

## kalzium 25.12.1+p24.04+vstable+git20260128.0258

=== debian/changelog ===
kalzium (4:25.12.1+p24.04+vstable+git20260128.0258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 02:58:29 +0000

## kalzium 25.12.1+p24.04+vstable+git20260130.1013

=== debian/changelog ===
kalzium (4:25.12.1+p24.04+vstable+git20260130.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:13:40 +0000

## kalzium 25.12.1+p24.04+vunstable+git20260201.0739

=== debian/changelog ===
kalzium (4:25.12.1+p24.04+vunstable+git20260201.0739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:39:40 +0000

## kalzium 25.12.2

=== debian/changelog ===
kalzium (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:18:57 +0000

kalzium (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:45:28 +0000

kalzium (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:59:09 +0000

kalzium (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:59 +0000

## kalzium 25.12.2+p24.04+vunstable+git20260206.0914

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalzium (4:25.12.2+p24.04+vunstable+git20260206.0914-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:14:53 +0000

kalzium (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:08:48 +0000
